///////////////////////////////////////////////////////////////////////////////
//
// CutBasic
// --------------
//
// Authors: Reinhard Schwienhorst
//         
//
// Date: October 19, 2006
//
// Modified:
// 
//
///////////////////////////////////////////////////////////////////////////////

#include "single_top_analysis/CutBasic.hpp"
#include <iostream>

using namespace std;


//----------------
// constructor
//----------------
CutBasic::CutBasic(EventContainer *obj,Double_t elept,Double_t eleeta,Double_t met,Double_t jetpt,Double_t jeteta,int minjets,int maxjets,Double_t jet1pt,Double_t jet1eta)
  : _minElePt(elept),_maxEleEta(eleeta),_minMET(met),_minJetPt(jetpt),_maxJetEta(jeteta),_minNjets(minjets),_maxNjets(maxjets),
    _minJet1Pt(jet1pt),_maxJet1Eta(jet1eta)
{
  SetEventContainer(obj);
}

//----------------
// destructor
//----------------
CutBasic::~CutBasic()
{
  
}

//----------------
// Book
//----------------
void CutBasic::BookHistogram()
{

}

//-------------
// Apply
//-------------
bool CutBasic::Apply()
{
  //cout<<"begin of cut_basic"<<endl;
  EventContainer *obj=GetEventContainer();
  
//   bool passEvt=obj->finalStatePass;
//   if(passEvt==false) return false;

//   // basic cuts pass, now check cuts:
//   // the electron:
//   bool leptonpass=(obj->finalLepton.Pt()>=_minElePt && fabs(obj->finalLepton.Eta())<=_maxEleEta);
//   // MET
//   bool metpass=(obj->finalNeutrino.Pt()>=_minMET);
//   // jets
//   // do the jet sorting inside particles!
//   bool jetpass=obj->applyJetCuts(_minJetPt,_maxJetEta,_minNjets,_maxNjets,_minJet1Pt,_maxJet1Eta);

  //cout<<"leptonpass = "<<leptonpass<<endl;
  //cout<<"metpass "<<metpass<<endl;
  //cout<<"jetpass "<<jetpass<<endl;
  
  //cout<<"end of cut_Basic"<<endl;

  //  return leptonpass&&metpass&&jetpass;  
  return true;
  
}












